.modal_wrap input {
  display: none;
}

.modal_overlay {
  display: flex;
  justify-content: center;
  overflow: auto;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  opacity: 0;
  transition:
    opacity 0.5s,
    transform 0s 0.5s;
  transform: scale(0);
}

.modal_trigger {
  position: absolute;
  width: 100%;
  height: 100%;
}

.modal_content {
  align-self: center;
  width: 90%;
  max-width: 800px;
  padding: 30px 30px 15px;
  box-sizing: border-box;
  background: #fff;
  line-height: 1.4em;
  transform: scale(1.2);
  transition: 0.5s;
}

.close_button {
  position: absolute;
  top: 14px;
  right: 16px;
  font-size: 24px;
  cursor: pointer;
}

.modal_wrap input:checked ~ .modal_overlay {
  opacity: 1;
  transform: scale(1);
  transition: opacity 0.5s;
}

.modal_wrap input:checked ~ .modal_overlay .modal_content {
  transform: scale(1);
}

/* ========================
   ボタン 
======================== */
.open-button label {
  display: block;
  text-decoration: none;
  padding: 0.8rem 2rem; /*上下、左右へのボタン内の余白*/
  margin-top: 2rem; /*ボタンの上に2文字分のスペースを空ける*/
  text-align: center; /*テキストをセンタリング*/
  letter-spacing: 0.1em; /*文字間隔を少しだけ広く*/
  box-shadow: 0px 10px 30px rgba(0, 0, 0, 0.1); /*ボタンの影。右へ、下へ、ぼかし幅、0,0,0は黒のことで0.1は色が10%出た状態*/
}
/*マウスオン時（btn1、btn2共通）*/
.open-button label:hover {
  letter-spacing: 0.2rem; /*文字間隔を少し広げる*/
  box-shadow: none; /*ボタンの影を消す*/
}

/*btn1への追加設定*/
.open-button label {
  color: var(--primary-color); /*文字色。冒頭のprimary-colorを読み込みます。*/
  background: var(
    --primary-inverse-color
  ); /*文字色。冒頭のprimary-inverse-colorを読み込みます。*/
}
